Package com.ocient.jdbc.proto

# Class PlanProtocol.AggregationOperator

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.PlanProtocol.AggregationOperator

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.AggregationOperatorOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.AggregationOperator
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.AggregationOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.AggregationOperator`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `PlanProtocol.AggregationOperator.AggregationOp` | Protobuf enum `xg.db.sqlPlans.AggregationOperator.AggregationOp`
`static class` | `PlanProtocol.AggregationOperator.Builder` | Protobuf type `xg.db.sqlPlans.AggregationOperator`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `FORCEONEPARTITION_FIELD_NUMBER` |
`static int` | `INPUTCOLS_FIELD_NUMBER` |
`static int` | `KEYS_FIELD_NUMBER` |
`static int` | `OPS_FIELD_NUMBER` |
`static int` | `OUTPUTCOLS_FIELD_NUMBER` |
`static int` | `OUTPUTCOLSTYPES_FIELD_NUMBER` |
`static int` | `USE_VECTOR_FIELD_NUMBER` |

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` |
`static PlanProtocol.AggregationOperator` | `getDefaultInstance()` |
`PlanProtocol.AggregationOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`boolean` | `getForceOnePartition()` | Flag for runtime
`String` | `getInputCols​(int index)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ByteString` | `getInputColsBytes​(int index)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`int` | `getInputColsCount()` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ProtocolStringList` | `getInputColsList()` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`String` | `getKeys​(int index)` | The GROUP BY columns - might be empty
`com.google.protobuf.ByteString` | `getKeysBytes​(int index)` | The GROUP BY columns - might be empty
`int` | `getKeysCount()` | The GROUP BY columns - might be empty
`com.google.protobuf.ProtocolStringList` | `getKeysList()` | The GROUP BY columns - might be empty
`PlanProtocol.AggregationOperator.AggregationOp` | `getOps​(int index)` | The aggregation operations to perform
`int` | `getOpsCount()` | The aggregation operations to perform
`List<PlanProtocol.AggregationOperator.AggregationOp>` | `getOpsList()` | The aggregation operations to perform
`int` | `getOpsValue​(int index)` | The aggregation operations to perform
`List<Integer>` | `getOpsValueList()` | The aggregation operations to perform
`String` | `getOutputCols​(int index)` | The name to give to the columns created by each aggregation operation
`com.google.protobuf.ByteString` | `getOutputColsBytes​(int index)` | The name to give to the columns created by each aggregation operation
`int` | `getOutputColsCount()` | The name to give to the columns created by each aggregation operation
`com.google.protobuf.ProtocolStringList` | `getOutputColsList()` | The name to give to the columns created by each aggregation operation
`String` | `getOutputColsTypes​(int index)` | The types for the outputCols, in the same order
`com.google.protobuf.ByteString` | `getOutputColsTypesBytes​(int index)` | The types for the outputCols, in the same order
`int` | `getOutputColsTypesCount()` | The types for the outputCols, in the same order
`com.google.protobuf.ProtocolStringList` | `getOutputColsTypesList()` | The types for the outputCols, in the same order
`com.google.protobuf.Parser<PlanProtocol.AggregationOperator>` | `getParserForType()` |
`int` | `getSerializedSize()` |
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
`boolean` | `getUseVector()` | Flag for runtime
`int` | `hashCode()` |
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`static PlanProtocol.AggregationOperator.Builder` | `newBuilder()` |
`static PlanProtocol.AggregationOperator.Builder` | `newBuilder​(PlanProtocol.AggregationOperator prototype)` |
`PlanProtocol.AggregationOperator.Builder` | `newBuilderForType()` |
`protected PlanProtocol.AggregationOperator.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
`static PlanProtocol.AggregationOperator` | `parseDelimitedFrom​(InputStream input)` |
`static PlanProtocol.AggregationOperator` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.AggregationOperator` | `parseFrom​(byte[] data)` |
`static PlanProtocol.AggregationOperator` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.AggregationOperator` | `parseFrom​(com.google.protobuf.ByteString data)` |
`static PlanProtocol.AggregationOperator` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.AggregationOperator` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
`static PlanProtocol.AggregationOperator` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.AggregationOperator` | `parseFrom​(InputStream input)` |
`static PlanProtocol.AggregationOperator` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.AggregationOperator` | `parseFrom​(ByteBuffer data)` |
`static PlanProtocol.AggregationOperator` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static com.google.protobuf.Parser<PlanProtocol.AggregationOperator>` | `parser()` |
`PlanProtocol.AggregationOperator.Builder` | `toBuilder()` |
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newInstance, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### KEYS_FIELD_NUMBER

public static final int KEYS_FIELD_NUMBER

See Also:
  Constant Field Values

### OPS_FIELD_NUMBER

public static final int OPS_FIELD_NUMBER

See Also:
  Constant Field Values

### INPUTCOLS_FIELD_NUMBER

public static final int INPUTCOLS_FIELD_NUMBER

See Also:
  Constant Field Values

### OUTPUTCOLS_FIELD_NUMBER

public static final int OUTPUTCOLS_FIELD_NUMBER

See Also:
  Constant Field Values

### OUTPUTCOLSTYPES_FIELD_NUMBER

public static final int OUTPUTCOLSTYPES_FIELD_NUMBER

See Also:
  Constant Field Values

### FORCEONEPARTITION_FIELD_NUMBER

public static final int FORCEONEPARTITION_FIELD_NUMBER

See Also:
  Constant Field Values

### USE_VECTOR_FIELD_NUMBER

public static final int USE_VECTOR_FIELD_NUMBER

See Also:
  Constant Field Values

## Method Details

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getKeysList

public com.google.protobuf.ProtocolStringList getKeysList()

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Specified by:
  `getKeysList` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getKeysCount

public int getKeysCount()

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Specified by:
  `getKeysCount` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getKeys

public String getKeys​(int index)

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Specified by:
  `getKeys` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getKeysBytes

public com.google.protobuf.ByteString getKeysBytes​(int index)

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Specified by:
  `getKeysBytes` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOpsList

public List<PlanProtocol.AggregationOperator.AggregationOp> getOpsList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsList` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOpsCount

public int getOpsCount()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsCount` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOps

public PlanProtocol.AggregationOperator.AggregationOp getOps​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOps` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOpsValueList

public List<Integer> getOpsValueList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsValueList` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOpsValue

public int getOpsValue​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsValue` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getInputColsList

public com.google.protobuf.ProtocolStringList getInputColsList()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputColsList` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getInputColsCount

public int getInputColsCount()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputColsCount` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getInputCols

public String getInputCols​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputCols` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getInputColsBytes

public com.google.protobuf.ByteString getInputColsBytes​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputColsBytes` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOutputColsList

public com.google.protobuf.ProtocolStringList getOutputColsList()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputColsList` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOutputColsCount

public int getOutputColsCount()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputColsCount` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOutputCols

public String getOutputCols​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputCols` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOutputColsBytes

public com.google.protobuf.ByteString getOutputColsBytes​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputColsBytes` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOutputColsTypesList

public com.google.protobuf.ProtocolStringList getOutputColsTypesList()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypesList` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOutputColsTypesCount

public int getOutputColsTypesCount()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypesCount` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOutputColsTypes

public String getOutputColsTypes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypes` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getOutputColsTypesBytes

public com.google.protobuf.ByteString getOutputColsTypesBytes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypesBytes` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getForceOnePartition

public boolean getForceOnePartition()

    Flag for runtime

`bool forceOnePartition = 6;`

Specified by:
  `getForceOnePartition` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### getUseVector

public boolean getUseVector()

    Flag for runtime

`bool use_vector = 7;`

Specified by:
  `getUseVector` in interface `PlanProtocol.AggregationOperatorOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static PlanProtocol.AggregationOperator parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.AggregationOperator parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.AggregationOperator parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.AggregationOperator parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.AggregationOperator parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.AggregationOperator parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.AggregationOperator parseFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.AggregationOperator parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.AggregationOperator parseDelimitedFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.AggregationOperator parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.AggregationOperator parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.AggregationOperator parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public PlanProtocol.AggregationOperator.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static PlanProtocol.AggregationOperator.Builder newBuilder()

### newBuilder

public static PlanProtocol.AggregationOperator.Builder newBuilder​(PlanProtocol.AggregationOperator prototype)

### toBuilder

public PlanProtocol.AggregationOperator.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected PlanProtocol.AggregationOperator.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static PlanProtocol.AggregationOperator getDefaultInstance()

### parser

public static com.google.protobuf.Parser<PlanProtocol.AggregationOperator> parser()

### getParserForType

public com.google.protobuf.Parser<PlanProtocol.AggregationOperator> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public PlanProtocol.AggregationOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`